#!/usr/bin/perl -w

# Pseudosite copyright (c) 2002 Simon McVittie
# This module is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 2,
# as published by the Free Software Foundation.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# Last change and base version. Please edit the last change when you change things.
# Please do not edit the base version unless you are the author.

# Base version (for patch purposes): v0.1 20020403 smcv@pseudorandom.co.uk
# Changelog since release (newest first):
# 20020403 smcv@pseudorandom.co.uk
#	Preparation for initial release.

# This is an example pseudosite executable, based on the one I use for
# pseudorandom.co.uk - at the moment I just invoke it as "./executable.pl". The paths
# are hard-coded - a nicer solution might happen eventually.

use strict;
use warnings;
use vars qw(@_ $_);
use utf8;
use Pseudorandom_co_uk::Pseudosite::Constructor;
use Pseudorandom_co_uk::Pseudosite::Processor;

use Pseudorandom_co_uk::Pseudosite::PseudoHTMLSimple;
use Pseudorandom_co_uk::Pseudosite::PseudoHTMLConstructor;
use Pseudorandom_co_uk::Pseudosite::XMLtoHTML;
use Pseudorandom_co_uk::Pseudosite::CopyConstructor;
use Pseudorandom_co_uk::Pseudosite::NullConstructor;
use Pseudorandom_co_uk::Pseudosite::RedirectConstructor;
use Pseudorandom_co_uk::Pseudosite::CGICopier;

my $proc = new Pseudorandom_co_uk::Pseudosite::Processor;
$proc->verbosity(3); # this is very verbose
$proc->process_file("example/input/root.XML");

# system "chmod -R a+rX /home/www"; # my default umask is too harsh for web serving!
